RoleAssignmentImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: RoleAssignmentImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class RoleAssignmentImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.RoleAssignmentImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable`

public class RoleAssignmentImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleAssignmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleAssignment roleAssignment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable`
  `getAuthorizationGroup()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy`
  `getRoleSetCode()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`
  `getSpace()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IUserImmutable`
  `getUser()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleAssignmentImmutable

    public RoleAssignmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleAssignment roleAssignment)

- ## Method Details

  - ### getAuthorizationGroup

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable getAuthorizationGroup()
    Specified by:
      `getAuthorizationGroup` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable`

  - ### getUser

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IUserImmutable getUser()
    Specified by:
      `getUser` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable`

  - ### getSpace

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable getSpace()
    Specified by:
      `getSpace` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable`

  - ### getRoleSetCode

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.RoleWithHierarchy getRoleSetCode()
    Specified by:
      `getRoleSetCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable`